<?php
namespace SabaiApps\Directories\Component\User\FieldType;

use SabaiApps\Directories\Component\Field\Type\UrlType;

class UrlFieldType extends UrlType {

	protected function _fieldTypeInfo() {
		return array(
			'entity_types'   => array( 'user' ),
			'default_widget' => 'url',
			'creatable'      => false,
			'requirable'     => true,
			'required'       => false,
		) + parent::_fieldTypeInfo();
	}

	public function fieldTypeSchema( array $settings = array() ) {
		return;
	}
}
